---
title: IDBTransaction.objectStoreNames
slug: Web/API/IDBTransaction/ObjectStoreNames
tags:
  - API
  - Database
  - IDBTransaction
  - IndexedDB
  - Property
  - Reference
  - Storage
  - db
---
<p>{{ APIRef("IndexedDB") }} {{SeeCompatTable}}</p>

<p>The <strong><code>objectStoreNames</code></strong> read-only property of the {{domxref("IDBTransaction")}} interface returns a {{domxref("DOMStringList")}} of names of {{domxref("IDBObjectStore")}} objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myDatabase</em> = <em>transactionObj</em>.objectStoreNames;</pre>

<h3 id="Returns">Returns</h3>

<p><span style="line-height: 1.5;">A </span> {{domxref("DOMStringList")}} of names of {{domxref("IDBObjectStore")}} objects.<span style="line-height: 1.5;"> </span></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IndexedDB', '#dom-idbdatabase-objectstorenames', 'ObjectStoreNames')}}</td>
   <td>{{Spec2('IndexedDB')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName("IndexedDB 2", "#dom-idbtransaction-objectstorenames", "ObjectStoreNames")}}</td>
   <td>{{Spec2("IndexedDB 2")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.IDBTransaction.objectStoreNames")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/IndexedDB_API/Using_IndexedDB">Using IndexedDB</a></li>
 <li>Starting transactions: {{domxref("IDBDatabase")}}</li>
 <li>Using transactions: {{domxref("IDBTransaction")}}</li>
 <li>Setting a range of keys: {{domxref("IDBKeyRange")}}</li>
 <li>Retrieving and making changes to your data: {{domxref("IDBObjectStore")}}</li>
 <li>Using cursors: {{domxref("IDBCursor")}}</li>
 <li>Reference example: <a class="external" href="https://github.com/mdn/to-do-notifications/tree/gh-pages">To-do Notifications</a> (<a class="external" href="https://mdn.github.io/to-do-notifications/">view example live</a>.)</li>
</ul>
